apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: commerce-ingress
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: web
spec:
  ingressClassName: traefik
  rules:
    - host: commerce.cruzcloud.net
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: medusa-svc
                port:
                  number: 9000

    - host: media.cruzcloud.net
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: minio-svc
                port:
                  number: 9000
